clang 8.0.0

Public Attributes | List of all members
clang::TemplateSpecializationLocInfo Struct Reference

`#include "clang/AST/TypeLoc.h"`

Inheritance diagram for clang::TemplateSpecializationLocInfo:
[legend]
Collaboration diagram for clang::TemplateSpecializationLocInfo:
[legend]

## Public Attributes
SourceLocation | TemplateKWLoc
SourceLocation | LAngleLoc
SourceLocation | RAngleLoc
Public Attributes inherited from clang::TemplateNameLocInfo
SourceLocation | NameLoc

## Detailed Description

Definition at line 1544 of file TypeLoc.h.

## Member Data Documentation

## ◆ LAngleLoc

SourceLocation clang::TemplateSpecializationLocInfo::LAngleLoc

Definition at line 1546 of file TypeLoc.h.

## ◆ RAngleLoc

SourceLocation clang::TemplateSpecializationLocInfo::RAngleLoc

Definition at line 1547 of file TypeLoc.h.

## ◆ TemplateKWLoc

SourceLocation clang::TemplateSpecializationLocInfo::TemplateKWLoc

Definition at line 1545 of file TypeLoc.h.

The documentation for this struct was generated from the following file:

- include/clang/AST/TypeLoc.h